Description: Use external virus-definitions istead of SelfLoader.
Forwarded: not needed
Author: Florian Ragwitz <rafl@debian.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2015-06-15

--- a/files/Scan.base
+++ b/files/Scan.base
@@ -14,7 +14,6 @@ use strict;
 
 require Exporter;
 use File::Copy;
-use SelfLoader;
 
 use vars qw($VERSION @ISA @EXPORT $ERROR $SKIPPED $SUSPICIOUS $CALLBACK);
 
@@ -23,7 +22,9 @@ $VERSION = '1.43';
 
 ($ERROR, $SKIPPED, $SUSPICIOUS, $CALLBACK) = ("", 0, 0, "");
 
-SelfLoader->load_stubs();
+my $data_path = "@data_path@";
+
+do "$data_path/virus-definitions.pm";
 
 sub new {
 	my $proto = shift;
